-- Constants form graphics.e

-- COLOR values -- for characters and pixels
global constant 
	 BLACK = 0,  -- in graphics modes this is "transparent"
	 GREEN = 2,
	 MAGENTA = 5,
	 WHITE = 7,
	 GRAY  = 8,
	 BRIGHT_GREEN = 10,
	 BRIGHT_MAGENTA = 13,
	 BRIGHT_WHITE = 15
global integer 
	 BLUE, CYAN, RED, BROWN, BRIGHT_BLUE, BRIGHT_CYAN, BRIGHT_RED, YELLOW

-- include misc.e

    BLUE  = 1
    CYAN =  3
    RED   = 4
    BROWN = 6
    BRIGHT_BLUE = 9
    BRIGHT_CYAN = 11
    BRIGHT_RED = 12
    YELLOW = 14

global constant BLINKING = 16  -- add to color to get blinking text

global constant VC_COLOR = 1,
		VC_MODE  = 2,
		VC_LINES = 3,
		VC_COLUMNS = 4,
		VC_XPIXELS = 5,
		VC_YPIXELS = 6,
		VC_NCOLORS = 7,
		VC_PAGES = 8

-- cursor styles:
global constant NO_CURSOR       = #2000,
	 UNDERLINE_CURSOR       = #0607,
	 THICK_UNDERLINE_CURSOR = #0507,
	 HALF_BLOCK_CURSOR      = #0407,
	 BLOCK_CURSOR           = #0007


-- Constants form image.e

-- error codes returned by read_bitmap(), save_bitmap() and save_screen()
global constant BMP_SUCCESS = 0,
		BMP_OPEN_FAILED = 1,
		BMP_UNEXPECTED_EOF = 2,
		BMP_UNSUPPORTED_FORMAT = 3,
		BMP_INVALID_MODE = 4

