include image.e
include machine.e
include get.e
include misc.e
include names.e

if LINUX != FREEBSD then
	puts(1,"Warning: Until this is integrated into 4.0's own include tree, " 
	& "this program may be including the wrong set of includes and " 
	& "this program will just not work correctly."
	& "\nPress Enter...")
	if atom(gets(0)) then
	end if
end if

integer slloc
sequence basedir
basedir = command_line()
basedir = basedir[2]
slloc = length(basedir)
while slloc and basedir[slloc] != '\\' do
	slloc -= 1
end while
if slloc then
	basedir = basedir[1..slloc]
else
	basedir = ".\\"
end if

use_vesa(1)

sequence s, file_name
s = {}
for n = 1 to 6 do
    s &= n
end for
for n = 13 to 15 do
    s &= n
end for
for n = 16 to 19 do
    s &= n
end for
for n = 256 to 261 do
    s &= n
end for

for n = 1 to length(s) do
    if not graphics_mode(s[n]) then
        print(1,video_config())
        puts(1,'\n')
        for i = 0 to 255 by 32 do
            for j = 0 to 31 do
                text_color(i+j)
                puts(1,219)
            end for
            puts(1,'\n')
        end for
        if platform() = DOS32 then
        	file_name = sprintf("pal_%03d.bmp",{s[n]})
        else
        	file_name = sprintf(basedir & "..\\palette_results\\dosrescue\\pal_%03d-%s.bmp", 
        		{s[n],get_palette_name(s[n])})
	end if        	
        if save_screen(0,file_name) then
        end if
        if getc(0) then
        end if
        clear_screen()
    end if
end for

if graphics_mode(-1) then
end if
